Package org.htmlunit.html

# Class ScriptElementSupport

java.lang.Object
org.htmlunit.html.ScriptElementSupport

public final class ScriptElementSupport extends Object
INTERNAL API - SUBJECT TO CHANGE AT ANY TIME - USE AT YOUR OWN RISK.
A helper class to be used by elements which support `ScriptElement`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static void`
  `executeScriptIfNeeded(ScriptElement script, boolean ignoreAttachedToPage, boolean ignorePageIsAncestor)`
  INTERNAL API - SUBJECT TO CHANGE AT ANY TIME - USE AT YOUR OWN RISK.
  Executes this script node if necessary and/or possible.
  `static boolean`
  `isJavaScript(String typeAttribute, String languageAttribute)`
  Returns true if a script with the specified type and language attributes is actually JavaScript.
  `static void`
  `onAllChildrenAddedToPage(ScriptElement script, boolean postponed)`
  Support method that is called from the (html or svg) script and the link tag.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### onAllChildrenAddedToPage

    public static void onAllChildrenAddedToPage(ScriptElement script, boolean postponed)
    Support method that is called from the (html or svg) script and the link tag.
    Parameters:
      `script` - the ScriptElement to work for
      `postponed` - whether to use `PostponedAction` or not

  - ### executeScriptIfNeeded

    public static void executeScriptIfNeeded(ScriptElement script, boolean ignoreAttachedToPage, boolean ignorePageIsAncestor)
    INTERNAL API - SUBJECT TO CHANGE AT ANY TIME - USE AT YOUR OWN RISK.
    Executes this script node if necessary and/or possible.
    Parameters:
      `script` - the ScriptElement to work for
      `ignoreAttachedToPage` - don't do the isAttachedToPage check
      `ignorePageIsAncestor` - don't do the element.getPage().isAncestorOf(element) check

  - ### isJavaScript

    public static boolean isJavaScript(String typeAttribute, String languageAttribute)
    Returns true if a script with the specified type and language attributes is actually JavaScript. According to W3C recommendation are content types case insensitive.
    Parameters:
      `typeAttribute` - the type attribute specified in the script tag
      `languageAttribute` - the language attribute specified in the script tag
    Returns:
      true if the script is JavaScript